 .modal-overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.9);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 1000;
            visibility: hidden;
            opacity: 0;
            transition: 0.5s;
        }

        .modal-content {
            background: #795548e6;
            padding: 40px 30px;
            border-radius: 20px;
            text-align: center;
            max-width: 400px;
            width: 85%;
            box-shadow: 0 10px 30px rgba(0,0,0,0.5);
            transform: translateY(-20px);
            transition: 0.5s;
        }

        .modal-overlay.active {
            visibility: visible;
            opacity: 1;
        }

        .modal-overlay.active .modal-content {
            transform: translateY(0);
        }

        h3 { margin-bottom: 5px; color: #333; font-weight: 300; text-transform: uppercase; letter-spacing: 2px; }
        #namaTamu { font-size: 1.5rem; color: #fff; margin: 10px 0 30px 0; display: block; }

        .btn-buka {
			width:65%;
            background-color: #333;
            color: white;
            border: none;
            padding: 12px 30px;
            border-radius: 50px;
            cursor: pointer;
            font-size: 1rem;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5);
        }